| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions

# IG::Neural::NeuralTrainingLimitsDto Class Reference

Transfer Object (DTO) for neural network training limits. More...

Inheritance diagram for IG::Neural::NeuralTrainingLimitsDto:
[legend]
Collaboration diagram for IG::Neural::NeuralTrainingLimitsDto:
[legend]

List of all members.

## Public Member Functions
override NeuralTrainingLimits | CreateObject ()
| Creates and returns a new object of the corresponding type.
## Public Attributes
double | LearningRateMin
| Minimum limit for learning rate.
double | LearningRateMax
| Maximum limit for learning rate.
int | LearningRateNum
| Number of learning rates.
double | MomentumMin
| Minimum limit for momentum.
double | MomentumMax
| Maximum limit for momentum.
int | MomentumNum
| Number of momentums.
double | AlphaMin
| Minimum limit for alpha value.
double | AlphaMax
| Maximum limit for alpha value.
int | AlphaNum
| Number of alpha values.
double | InputSafetyFactorMin
| Minimum limit for input safety factor value.
double | InputSafetyFactorMax
| Maximum limit for input safety factor value.
int | InputSafetyFactorNum
| Number of input safety factor values.
double | OutputSafetyFactorMin
| Minimum limit for output safety factor value.
double | OutputSafetyFactorMax
| Maximum limit for output safety factor value.
int | OutputSafetyFactorNum
| Number of output safety factor values.
int | MaxEpochs
| Maximum number of epochs performed in training.
int | EpochBundle
| Number of epochs in boundle.
bool | EnableRangeTolerance
| Flag for enabling toelrance that represent a percentage of the output range.
VectorDtoBase | ToleranceRms
| Tolerance over RMS error of outputs over training points. Training will continue until error becomes below tolerance or until maximal number of epochs is reached. If less or equal than 0 then this tolerance is not taken into account.
VectorDtoBase | ToleranceRmsRelativeToRange
| Relative tolerances on RMS errors of outputs over training points, relative to the correspoinding ranges of output data.
double | ToleranceRmsRelativeToRangeScalar = NeuralTrainingParameters.DefaultToleranceRmsRelativeToRangeScalar
| Scalar through which all components of the Relative tolerances on RMS errors of outputs can be set to the same value.
VectorDtoBase | ToleranceMax
| Tolerance on maximal error of outputs over training points. Training will continue until error becomes below tolerance or until maximal number of epochs is reached. If less or equal than 0 then this tolerance is not taken into account.
VectorDtoBase | ToleranceMaxRelativeToRange
| Relative tolerances on max. abs. errors of outputs over training points, relative to the correspoinding ranges of output data.
double | ToleranceMaxRelativeToRangeScalar = NeuralTrainingParameters.DefaultToleranceMaxRelativeToRangeScalar
| Scalar through which all components of the Relative tolerances on max. abs. errors of outputs can be set to the same value.
int | InputLenght
| Number of input neurons.
int | OutputLength
| Number of output neurons.
bool | EnableArchitectureTest
| Flag for enabling test in architecture of ANN.
int | NumHiddenLayersNum
| Number of hidden layers in neural network.
int | NumHiddenNeuronsFirstMin
| Minimum number of hidden neurons in first hidden layer.
int | NumHiddenNeuronsFirstMax
| Maximum number of hidden neurons in first hidden layer.
int | NumHiddenNeuronsFirstNum
| Number of numbers of hidden neurons in first hidden layer.
int[] | NumHiddenNeuronsFirstValues
| Values for number of hidden neurons in the first hidden layer.
int | NumHiddenNeuronsSecondMin
| Minimum number of hidden neurons in second hidden layer.
int | NumHiddenNeuronsSecondMax
| Maximum number of hidden neurons in second hidden layer.
int | NumHiddenNeuronsSecondNum
| Number of numbers of hidden neurons in second hidden layer.
int[] | NumHiddenNeuronsSecondValues
| Values for number of hidden neurons in the second hidden layer.
int | NumHiddenNeuronsThirdMin
| Minimum number of hidden neurons in third hidden layer.
int | NumHiddenNeuronsThirdMax
| Maximum number of hidden neurons in third hidden layer.
int | NumHiddenNeuronsThirdNum
| Number of numbers of hidden neurons in third hidden layer.
int[] | NumHiddenNeuronsThirdValues
| Values for number of hidden neurons in the third hidden layer.
## Protected Member Functions
override void | CopyFromPlain (NeuralTrainingLimits trainingLimits)
| Copies the specified training limits to the current DTO.
override void | CopyToPlain (ref NeuralTrainingLimits trainingLimits)
| Copies contents of the current DTO to the specified training limits object.

## Detailed Description

Transfer Object (DTO) for neural network training limits.

$A Tako78 Aug12; Igor Aug12;

## Member Function Documentation

override NeuralTrainingLimits IG::Neural::NeuralTrainingLimitsDto::CreateObject | ( |  | ) | `[inline]`

Creates and returns a new object of the corresponding type.

override void IG::Neural::NeuralTrainingLimitsDto::CopyFromPlain | ( | NeuralTrainingLimits | trainingLimits | ) | `[inline, protected]`

Copies the specified training limits to the current DTO.

Parameters:

  trainingLimits | Object that is copied to the current DTO.

override void IG::Neural::NeuralTrainingLimitsDto::CopyToPlain | ( | ref NeuralTrainingLimits | trainingLimits | ) | `[inline, protected]`

Copies contents of the current DTO to the specified training limits object.

Parameters:

  trainingLimits | Object that the current DTO content is copied to.

## Member Data Documentation

double IG::Neural::NeuralTrainingLimitsDto::LearningRateMin

Minimum limit for learning rate.

double IG::Neural::NeuralTrainingLimitsDto::LearningRateMax

Maximum limit for learning rate.

int IG::Neural::NeuralTrainingLimitsDto::LearningRateNum

Number of learning rates.

double IG::Neural::NeuralTrainingLimitsDto::MomentumMin

Minimum limit for momentum.

double IG::Neural::NeuralTrainingLimitsDto::MomentumMax

Maximum limit for momentum.

int IG::Neural::NeuralTrainingLimitsDto::MomentumNum

Number of momentums.

double IG::Neural::NeuralTrainingLimitsDto::AlphaMin

Minimum limit for alpha value.

double IG::Neural::NeuralTrainingLimitsDto::AlphaMax

Maximum limit for alpha value.

int IG::Neural::NeuralTrainingLimitsDto::AlphaNum

Number of alpha values.

double IG::Neural::NeuralTrainingLimitsDto::InputSafetyFactorMin

Minimum limit for input safety factor value.

double IG::Neural::NeuralTrainingLimitsDto::InputSafetyFactorMax

Maximum limit for input safety factor value.

int IG::Neural::NeuralTrainingLimitsDto::InputSafetyFactorNum

Number of input safety factor values.

double IG::Neural::NeuralTrainingLimitsDto::OutputSafetyFactorMin

Minimum limit for output safety factor value.

double IG::Neural::NeuralTrainingLimitsDto::OutputSafetyFactorMax

Maximum limit for output safety factor value.

int IG::Neural::NeuralTrainingLimitsDto::OutputSafetyFactorNum

Number of output safety factor values.

int IG::Neural::NeuralTrainingLimitsDto::MaxEpochs

Maximum number of epochs performed in training.

int IG::Neural::NeuralTrainingLimitsDto::EpochBundle

Number of epochs in boundle.

bool IG::Neural::NeuralTrainingLimitsDto::EnableRangeTolerance

Flag for enabling toelrance that represent a percentage of the output range.

VectorDtoBase IG::Neural::NeuralTrainingLimitsDto::ToleranceRms

Tolerance over RMS error of outputs over training points. Training will continue until error becomes below tolerance or until maximal number of epochs is reached. If less or equal than 0 then this tolerance is not taken into account.

$A Tako78 Jul12;; Igor Jul12;

VectorDtoBase IG::Neural::NeuralTrainingLimitsDto::ToleranceRmsRelativeToRange

Relative tolerances on RMS errors of outputs over training points, relative to the correspoinding ranges of output data.

See also:
  NeuralApproximatorBase.ToleranceRmsRelativeToRange

double IG::Neural::NeuralTrainingLimitsDto::ToleranceRmsRelativeToRangeScalar = NeuralTrainingParameters.DefaultToleranceRmsRelativeToRangeScalar

Scalar through which all components of the Relative tolerances on RMS errors of outputs can be set to the same value.

See also:
  NeuralApproximatorBase.ToleranceRmsRelativeToRangeScalar

VectorDtoBase IG::Neural::NeuralTrainingLimitsDto::ToleranceMax

Tolerance on maximal error of outputs over training points. Training will continue until error becomes below tolerance or until maximal number of epochs is reached. If less or equal than 0 then this tolerance is not taken into account.

$A Tako78 Jul12;

VectorDtoBase IG::Neural::NeuralTrainingLimitsDto::ToleranceMaxRelativeToRange

Relative tolerances on max. abs. errors of outputs over training points, relative to the correspoinding ranges of output data.

See also:
  NeuralApproximatorBase.ToleranceMaxRelativeToRange

double IG::Neural::NeuralTrainingLimitsDto::ToleranceMaxRelativeToRangeScalar = NeuralTrainingParameters.DefaultToleranceMaxRelativeToRangeScalar

Scalar through which all components of the Relative tolerances on max. abs. errors of outputs can be set to the same value.

See also:
  NeuralApproximatorBase.ToleranceMaxRelativeToRangeScalar

int IG::Neural::NeuralTrainingLimitsDto::InputLenght

Number of input neurons.

int IG::Neural::NeuralTrainingLimitsDto::OutputLength

Number of output neurons.

bool IG::Neural::NeuralTrainingLimitsDto::EnableArchitectureTest

Flag for enabling test in architecture of ANN.

int IG::Neural::NeuralTrainingLimitsDto::NumHiddenLayersNum

Number of hidden layers in neural network.

int IG::Neural::NeuralTrainingLimitsDto::NumHiddenNeuronsFirstMin

Minimum number of hidden neurons in first hidden layer.

int IG::Neural::NeuralTrainingLimitsDto::NumHiddenNeuronsFirstMax

Maximum number of hidden neurons in first hidden layer.

int IG::Neural::NeuralTrainingLimitsDto::NumHiddenNeuronsFirstNum

Number of numbers of hidden neurons in first hidden layer.

int [] IG::Neural::NeuralTrainingLimitsDto::NumHiddenNeuronsFirstValues

Values for number of hidden neurons in the first hidden layer.

int IG::Neural::NeuralTrainingLimitsDto::NumHiddenNeuronsSecondMin

Minimum number of hidden neurons in second hidden layer.

int IG::Neural::NeuralTrainingLimitsDto::NumHiddenNeuronsSecondMax

Maximum number of hidden neurons in second hidden layer.

int IG::Neural::NeuralTrainingLimitsDto::NumHiddenNeuronsSecondNum

Number of numbers of hidden neurons in second hidden layer.

int [] IG::Neural::NeuralTrainingLimitsDto::NumHiddenNeuronsSecondValues

Values for number of hidden neurons in the second hidden layer.

int IG::Neural::NeuralTrainingLimitsDto::NumHiddenNeuronsThirdMin

Minimum number of hidden neurons in third hidden layer.

int IG::Neural::NeuralTrainingLimitsDto::NumHiddenNeuronsThirdMax

Maximum number of hidden neurons in third hidden layer.

int IG::Neural::NeuralTrainingLimitsDto::NumHiddenNeuronsThirdNum

Number of numbers of hidden neurons in third hidden layer.

int [] IG::Neural::NeuralTrainingLimitsDto::NumHiddenNeuronsThirdValues

Values for number of hidden neurons in the third hidden layer.

The documentation for this class was generated from the following file:

- SerializationDtoNeural.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events